> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Device Poll

> Poll for device code approval. Returns a JWT when approved.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/hyperspell.yaml post /auth/device-poll
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security:
  - APIKey: []
    AsUser: []
paths:
  /auth/device-poll:
    post:
      tags:
        - Device Auth
      summary: Device Poll
      description: Poll for device code approval. Returns a JWT when approved.
      operationId: device_poll_auth_device_poll_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DevicePollRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DevicePollResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DevicePollRequest:
      properties:
        device_code:
          type: string
          title: Device Code
      type: object
      required:
        - device_code
      title: DevicePollRequest
    DevicePollResponse:
      properties:
        status:
          type: string
          title: Status
        token:
          anyOf:
            - type: string
            - type: 'null'
          title: Token
        user_key:
          anyOf:
            - type: string
            - type: 'null'
          title: User Key
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        is_admin:
          type: boolean
          title: Is Admin
          default: false
        expires_in:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expires In
      type: object
      required:
        - status
      title: DevicePollResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>
    AsUser:
      type: apiKey
      description: >-
        Optionally set this header to act as a specific user when using an API
        Key, equivalent to first exchanging the API Key for a User Token
      in: header
      name: X-As-User

````